Skip to main content
GET
/
valorant
/
{version}
/
store-offers
Get store offers
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/{version}/store-offers
import requests

url = "https://api.henrikdev.xyz/valorant/{version}/store-offers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/{version}/store-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "Offers": [
      {
        "Cost": {},
        "IsDirectPurchase": true,
        "OfferID": "<string>",
        "Rewards": [
          {
            "ItemID": "<string>",
            "ItemTypeID": "<string>",
            "Quantity": 123
          }
        ],
        "StartDate": "<string>"
      }
    ],
    "UpgradeCurrencyOffers": [
      {
        "DiscountedPercent": 123,
        "Offer": {
          "Cost": {},
          "IsDirectPurchase": true,
          "OfferID": "<string>",
          "Rewards": [
            {
              "ItemID": "<string>",
              "ItemTypeID": "<string>",
              "Quantity": 123
            }
          ],
          "StartDate": "<string>"
        },
        "OfferID": "<string>",
        "StorefrontItemID": "<string>"
      }
    ]
  },
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

version
string
required

API version (v1, v2)

Response

Store offers retrieved successfully

data
object
required
status
integer<int32>
required
Required range: x >= 0